Update customer organization avatar
PUT
/customer-organizations/{id}/avatar
const url = 'https://api.muninx.com/customer-organizations/example/avatar';const form = new FormData();form.append('avatar', 'file');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.muninx.com/customer-organizations/example/avatar \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form avatar=@fileUploads and resizes the logo for a customer organization inside the authenticated tenant organization. Only tenant admins can perform this operation.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Customer Organization ID
Request Body required
Section titled “Request Body required ” Media type multipart/form-data
object
avatar
required
Avatar image (jpg, png, webp). Max 5MB.
string format: binary
Responses
Section titled “ Responses ”OK
Media type application/json
object
key
additional properties
string
Example generated
{ "additionalProperty": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}